Page MenuHomePhabricator

[PowerPC][tsan] Update tsan to handle changed memory layouts in newer kernels
ClosedPublic

Authored by seurer on Nov 10 2017, 2:36 PM.

Details

Summary

[PowerPC][tsan] Update tsan to handle changed memory layouts in newer kernels

In more recent Linux kernels with 47 bit VMAs the layout of virtual memory
for powerpc64 changed causing the thread sanitizer to not work properly. This
patch adds support for 47 bit VMA kernels for powerpc64.

Tested on several 4.x and 3.x kernel releases.

Diff Detail

Event Timeline

seurer created this revision.Nov 10 2017, 2:36 PM
seurer added inline comments.Nov 10 2017, 2:51 PM
lib/tsan/rtl/tsan_platform.h
345

Ugh! I missed changing that comment to "47 bits". I will fix it before checking in.

dvyukov accepted this revision.Nov 13 2017, 12:05 AM
This revision is now accepted and ready to land.Nov 13 2017, 12:05 AM
nemanjai closed this revision.Dec 12 2017, 9:04 AM

Committed in r318044.

marxin added a subscriber: marxin.Oct 25 2018, 12:40 AM